> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Sink

> Delete a sink

Required scope: `sinks:write`, `sinks:all`, or `all:all`



## OpenAPI

````yaml api-reference/openapi.json delete /api/v1/sinks/{id}
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/sinks/{id}:
    delete:
      tags:
        - Sink
      summary: Delete Sink
      description: |-
        Delete a sink

        Required scope: `sinks:write`, `sinks:all`, or `all:all`
      operationId: deleteSink
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Sink ID
      responses:
        '200':
          description: A sink collects and organizes items from external sources
          content:
            application/json:
              schema:
                type: object
                description: A sink collects and organizes items from external sources
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier
                  name:
                    type: string
                    minLength: 1
                    maxLength: 255
                    description: Sink name
                  description:
                    type: string
                    description: Optional description
                    nullable: true
                  color:
                    type: string
                    enum:
                      - neutral
                      - blue
                      - green
                      - yellow
                      - orange
                      - red
                      - purple
                      - pink
                    description: Display color
                  is_public:
                    type: boolean
                    description: Whether the sink is publicly accessible
                  public_slug:
                    type: string
                    minLength: 1
                    maxLength: 255
                    pattern: ^[a-z0-9-]+$
                    description: Public URL slug
                    nullable: true
                  secret:
                    type: string
                    description: Secret key for adding items to this sink
                  workspace_id:
                    type: string
                    format: uuid
                    description: Workspace ID
                  owner_id:
                    type: string
                    format: uuid
                    description: Owner user ID
                  created_at:
                    type: string
                    format: date-time
                    description: Creation timestamp
                  updated_at:
                    type: string
                    format: date-time
                    description: Last update timestamp
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient permissions
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````